org.apache.datasketches.tuple.adouble

## Class DoubleSummaryFactory

- java.lang.Object
- - org.apache.datasketches.tuple.adouble.DoubleSummaryFactory

All Implemented Interfaces:
  SummaryFactory<DoubleSummary>

    public final class DoubleSummaryFactory
    extends Object
    implements SummaryFactory<DoubleSummary>

Factory for DoubleSummary.

Author:
  Lee Rhodes

### Constructor Summary

Constructors
Constructor and Description
`DoubleSummaryFactory(DoubleSummary.Mode summaryMode)` Creates an instance of DoubleSummaryFactory with a given mode

### Method Summary

All Methods Instance Methods Concrete Methods
`DoubleSummary` `newSummary()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleSummaryFactory

    public DoubleSummaryFactory(DoubleSummary.Mode summaryMode)

Creates an instance of DoubleSummaryFactory with a given mode

Parameters:
  `summaryMode` - summary mode

### Method Detail

#### newSummary

    public DoubleSummary newSummary()

Specified by:
  `newSummary` in interface `SummaryFactory<DoubleSummary>`
Returns:
  new instance of Summary